sigc::adaptor_trait< T_functor, true > Struct Template Reference

Trait that specifies what is the adaptor version of a functor type. More...

`#include <sigc++/adaptors/adaptor_trait.h>`

## Public Types

typedef T_functor | adaptor_type
typedef T_functor | functor_type
typedef T_functor::result_type | result_type

## Detailed Description

### template<class T_functor>
struct sigc::adaptor_trait< T_functor, true >

Trait that specifies what is the adaptor version of a functor type.

This template specialization is used for types that inherit from adaptor_base. adaptor_type is equal to `T_functor` in this case.

## Member Typedef Documentation

template <class T_functor >

typedef T_functor sigc::adaptor_trait< T_functor, true >::adaptor_type

template <class T_functor >

typedef T_functor sigc::adaptor_trait< T_functor, true >::functor_type

template <class T_functor >

typedef T_functor::result_type sigc::adaptor_trait< T_functor, true >::result_type